module(...)
--DataTools.GenEditorData Tạo dữ liệu
MAGIC_FILE={
	[1]={[1]=[[0]],[2]=[[0]],},
	[2]={[1]=[[0]],[2]=[[1]],},
	[3]={[1]=[[10001]],[2]=[[1]],},
	[4]={[1]=[[100201]],[2]=[[1]],},
	[5]={[1]=[[100202]],[2]=[[1]],},
	[6]={[1]=[[100301]],[2]=[[1]],},
	[7]={[1]=[[100401]],[2]=[[1]],},
	[8]={[1]=[[100402]],[2]=[[1]],},
	[9]={[1]=[[100501]],[2]=[[1]],},
	[10]={[1]=[[100502]],[2]=[[1]],},
	[11]={[1]=[[100601]],[2]=[[1]],},
	[12]={[1]=[[100602]],[2]=[[1]],},
	[13]={[1]=[[100701]],[2]=[[1]],},
	[14]={[1]=[[100702]],[2]=[[1]],},
	[15]={[1]=[[100901]],[2]=[[1]],},
	[16]={[1]=[[100902]],[2]=[[1]],},
	[17]={[1]=[[100902]],[2]=[[2]],},
	[18]={[1]=[[101001]],[2]=[[1]],},
	[19]={[1]=[[101002]],[2]=[[1]],},
	[20]={[1]=[[101101]],[2]=[[1]],},
	[21]={[1]=[[101102]],[2]=[[1]],},
	[22]={[1]=[[1011]],[2]=[[1]],},
	[23]={[1]=[[101201]],[2]=[[1]],},
	[24]={[1]=[[101202]],[2]=[[1]],},
	[25]={[1]=[[101401]],[2]=[[1]],},
	[26]={[1]=[[101402]],[2]=[[1]],},
	[27]={[1]=[[101501]],[2]=[[1]],},
	[28]={[1]=[[101502]],[2]=[[1]],},
	[29]={[1]=[[101601]],[2]=[[1]],},
	[30]={[1]=[[101602]],[2]=[[1]],},
	[31]={[1]=[[101801]],[2]=[[1]],},
	[32]={[1]=[[101802]],[2]=[[1]],},
	[33]={[1]=[[102001]],[2]=[[1]],},
	[34]={[1]=[[102002]],[2]=[[1]],},
	[35]={[1]=[[1020]],[2]=[[2]],},
	[36]={[1]=[[110001]],[2]=[[1]],},
	[37]={[1]=[[110002]],[2]=[[1]],},
	[38]={[1]=[[110201]],[2]=[[1]],},
	[39]={[1]=[[110202]],[2]=[[1]],},
	[40]={[1]=[[110202]],[2]=[[2]],},
	[41]={[1]=[[115001]],[2]=[[1]],},
	[42]={[1]=[[115002]],[2]=[[1]],},
	[43]={[1]=[[115101]],[2]=[[1]],},
	[44]={[1]=[[115102]],[2]=[[1]],},
	[45]={[1]=[[115201]],[2]=[[1]],},
	[46]={[1]=[[115202]],[2]=[[1]],},
	[47]={[1]=[[115202]],[2]=[[2]],},
	[48]={[1]=[[115401]],[2]=[[1]],},
	[49]={[1]=[[115402]],[2]=[[1]],},
	[50]={[1]=[[115402]],[2]=[[2]],},
	[51]={[1]=[[120001]],[2]=[[1]],},
	[52]={[1]=[[120002]],[2]=[[1]],},
	[53]={[1]=[[120101]],[2]=[[1]],},
	[54]={[1]=[[120102]],[2]=[[1]],},
	[55]={[1]=[[130001]],[2]=[[1]],},
	[56]={[1]=[[130002]],[2]=[[1]],},
	[57]={[1]=[[150101]],[2]=[[1]],},
	[58]={[1]=[[150102]],[2]=[[1]],},
	[59]={[1]=[[150201]],[2]=[[1]],},
	[60]={[1]=[[150202]],[2]=[[1]],},
	[61]={[1]=[[150601]],[2]=[[1]],},
	[62]={[1]=[[150602]],[2]=[[1]],},
	[63]={[1]=[[160001]],[2]=[[1]],},
	[64]={[1]=[[160002]],[2]=[[1]],},
	[65]={[1]=[[165001]],[2]=[[1]],},
	[66]={[1]=[[165002]],[2]=[[1]],},
	[67]={[1]=[[170001]],[2]=[[1]],},
	[68]={[1]=[[170002]],[2]=[[1]],},
	[69]={[1]=[[175001]],[2]=[[1]],},
	[70]={[1]=[[175002]],[2]=[[1]],},
	[71]={[1]=[[175101]],[2]=[[1]],},
	[72]={[1]=[[175102]],[2]=[[1]],},
	[73]={[1]=[[175201]],[2]=[[1]],},
	[74]={[1]=[[175202]],[2]=[[1]],},
	[75]={[1]=[[175301]],[2]=[[1]],},
	[76]={[1]=[[175401]],[2]=[[1]],},
	[77]={[1]=[[175501]],[2]=[[1]],},
	[78]={[1]=[[1]],[2]=[[1]],},
	[79]={[1]=[[1]],[2]=[[2]],},
	[80]={[1]=[[3001]],[2]=[[1]],},
	[81]={[1]=[[3002]],[2]=[[1]],},
	[82]={[1]=[[3004]],[2]=[[1]],},
	[83]={[1]=[[3004]],[2]=[[2]],},
	[84]={[1]=[[3005]],[2]=[[1]],},
	[85]={[1]=[[30101]],[2]=[[1]],},
	[86]={[1]=[[30102]],[2]=[[1]],},
	[87]={[1]=[[30201]],[2]=[[1]],},
	[88]={[1]=[[30202]],[2]=[[1]],},
	[89]={[1]=[[30301]],[2]=[[1]],},
	[90]={[1]=[[30302]],[2]=[[1]],},
	[91]={[1]=[[30501]],[2]=[[1]],},
	[92]={[1]=[[30502]],[2]=[[1]],},
	[93]={[1]=[[30601]],[2]=[[1]],},
	[94]={[1]=[[30601]],[2]=[[2]],},
	[95]={[1]=[[30602]],[2]=[[1]],},
	[96]={[1]=[[30801]],[2]=[[1]],},
	[97]={[1]=[[30802]],[2]=[[1]],},
	[98]={[1]=[[30802]],[2]=[[2]],},
	[99]={[1]=[[3101]],[2]=[[1]],},
	[100]={[1]=[[3102]],[2]=[[1]],},
	[101]={[1]=[[3103]],[2]=[[1]],},
	[102]={[1]=[[3105]],[2]=[[1]],},
	[103]={[1]=[[31101]],[2]=[[1]],},
	[104]={[1]=[[31102]],[2]=[[1]],},
	[105]={[1]=[[31201]],[2]=[[1]],},
	[106]={[1]=[[31202]],[2]=[[1]],},
	[107]={[1]=[[31301]],[2]=[[1]],},
	[108]={[1]=[[31302]],[2]=[[1]],},
	[109]={[1]=[[31401]],[2]=[[1]],},
	[110]={[1]=[[31402]],[2]=[[1]],},
	[111]={[1]=[[31402]],[2]=[[2]],},
	[112]={[1]=[[31501]],[2]=[[1]],},
	[113]={[1]=[[31502]],[2]=[[1]],},
	[114]={[1]=[[31503]],[2]=[[1]],},
	[115]={[1]=[[31601]],[2]=[[1]],},
	[116]={[1]=[[31602]],[2]=[[1]],},
	[117]={[1]=[[3201]],[2]=[[1]],},
	[118]={[1]=[[3202]],[2]=[[1]],},
	[119]={[1]=[[3203]],[2]=[[1]],},
	[120]={[1]=[[3204]],[2]=[[1]],},
	[121]={[1]=[[3205]],[2]=[[1]],},
	[122]={[1]=[[3205]],[2]=[[1back]],},
	[123]={[1]=[[3301]],[2]=[[1]],},
	[124]={[1]=[[3301]],[2]=[[2]],},
	[125]={[1]=[[3302]],[2]=[[1]],},
	[126]={[1]=[[3302]],[2]=[[2]],},
	[127]={[1]=[[3303]],[2]=[[1]],},
	[128]={[1]=[[3303]],[2]=[[2]],},
	[129]={[1]=[[3304]],[2]=[[1]],},
	[130]={[1]=[[3304]],[2]=[[2]],},
	[131]={[1]=[[3305]],[2]=[[1]],},
	[132]={[1]=[[3305]],[2]=[[2]],},
	[133]={[1]=[[3401]],[2]=[[1]],},
	[134]={[1]=[[3402]],[2]=[[1]],},
	[135]={[1]=[[3403]],[2]=[[1]],},
	[136]={[1]=[[3405]],[2]=[[1]],},
	[137]={[1]=[[3405]],[2]=[[1]],},
	[138]={[1]=[[3405]],[2]=[[2]],},
	[139]={[1]=[[3405]],[2]=[[2]],},
	[140]={[1]=[[3501]],[2]=[[1]],},
	[141]={[1]=[[3502]],[2]=[[1]],},
	[142]={[1]=[[3503]],[2]=[[1]],},
	[143]={[1]=[[3505]],[2]=[[1]],},
	[144]={[1]=[[3505]],[2]=[[1backup]],},
	[145]={[1]=[[4001]],[2]=[[1]],},
	[146]={[1]=[[4002]],[2]=[[1]],},
	[147]={[1]=[[4003]],[2]=[[1]],},
	[148]={[1]=[[4004]],[2]=[[1]],},
	[149]={[1]=[[4005]],[2]=[[1]],},
	[150]={[1]=[[4006]],[2]=[[1]],},
	[151]={[1]=[[4007]],[2]=[[1]],},
	[152]={[1]=[[40101]],[2]=[[1]],},
	[153]={[1]=[[40102]],[2]=[[1]],},
	[154]={[1]=[[40201]],[2]=[[1]],},
	[155]={[1]=[[40202]],[2]=[[1]],},
	[156]={[1]=[[40301]],[2]=[[1]],},
	[157]={[1]=[[40302]],[2]=[[1]],},
	[158]={[1]=[[40303]],[2]=[[1]],},
	[159]={[1]=[[40401]],[2]=[[1]],},
	[160]={[1]=[[40402]],[2]=[[1]],},
	[161]={[1]=[[40501]],[2]=[[1]],},
	[162]={[1]=[[40502]],[2]=[[1]],},
	[163]={[1]=[[40502]],[2]=[[2]],},
	[164]={[1]=[[40701]],[2]=[[1]],},
	[165]={[1]=[[40702]],[2]=[[1]],},
	[166]={[1]=[[40703]],[2]=[[1]],},
	[167]={[1]=[[40901]],[2]=[[1]],},
	[168]={[1]=[[40902]],[2]=[[1]],},
	[169]={[1]=[[41001]],[2]=[[1]],},
	[170]={[1]=[[41002]],[2]=[[1]],},
	[171]={[1]=[[41201]],[2]=[[1]],},
	[172]={[1]=[[41202]],[2]=[[1]],},
	[173]={[1]=[[41301]],[2]=[[1]],},
	[174]={[1]=[[41302]],[2]=[[1]],},
	[175]={[1]=[[41401]],[2]=[[1]],},
	[176]={[1]=[[41402]],[2]=[[1]],},
	[177]={[1]=[[41501]],[2]=[[1]],},
	[178]={[1]=[[41502]],[2]=[[1]],},
	[179]={[1]=[[41601]],[2]=[[1]],},
	[180]={[1]=[[41602]],[2]=[[1]],},
	[181]={[1]=[[41701]],[2]=[[1]],},
	[182]={[1]=[[41702]],[2]=[[1]],},
	[183]={[1]=[[41801]],[2]=[[1]],},
	[184]={[1]=[[41802]],[2]=[[1]],},
	[185]={[1]=[[5001]],[2]=[[1]],},
	[186]={[1]=[[5002]],[2]=[[1]],},
	[187]={[1]=[[5003]],[2]=[[1]],},
	[188]={[1]=[[5004]],[2]=[[1]],},
	[189]={[1]=[[5005]],[2]=[[1]],},
	[190]={[1]=[[5006]],[2]=[[1]],},
	[191]={[1]=[[5007]],[2]=[[1]],},
	[192]={[1]=[[5008]],[2]=[[1]],},
	[193]={[1]=[[5009]],[2]=[[1]],},
	[194]={[1]=[[50101]],[2]=[[1]],},
	[195]={[1]=[[50102]],[2]=[[1]],},
	[196]={[1]=[[5010]],[2]=[[1]],},
	[197]={[1]=[[5011]],[2]=[[1]],},
	[198]={[1]=[[5012]],[2]=[[1]],},
	[199]={[1]=[[5013]],[2]=[[1]],},
	[200]={[1]=[[5014]],[2]=[[1]],},
	[201]={[1]=[[50201]],[2]=[[1]],},
	[202]={[1]=[[50202]],[2]=[[1]],},
	[203]={[1]=[[50301]],[2]=[[1]],},
	[204]={[1]=[[50302]],[2]=[[1]],},
	[205]={[1]=[[50401]],[2]=[[1]],},
	[206]={[1]=[[50402]],[2]=[[1]],},
	[207]={[1]=[[50501]],[2]=[[1]],},
	[208]={[1]=[[50502]],[2]=[[1]],},
	[209]={[1]=[[50502]],[2]=[[2]],},
	[210]={[1]=[[50503]],[2]=[[1]],},
	[211]={[1]=[[50504]],[2]=[[1]],},
	[212]={[1]=[[50601]],[2]=[[1]],},
	[213]={[1]=[[50602]],[2]=[[1]],},
	[214]={[1]=[[50701]],[2]=[[1]],},
	[215]={[1]=[[50702]],[2]=[[1]],},
	[216]={[1]=[[50801]],[2]=[[1]],},
	[217]={[1]=[[50802]],[2]=[[1]],},
	[218]={[1]=[[50901]],[2]=[[1]],},
	[219]={[1]=[[50902]],[2]=[[1]],},
	[220]={[1]=[[51201]],[2]=[[1]],},
	[221]={[1]=[[51202]],[2]=[[1]],},
	[222]={[1]=[[51301]],[2]=[[1]],},
	[223]={[1]=[[51302]],[2]=[[1]],},
	[224]={[1]=[[51401]],[2]=[[1]],},
	[225]={[1]=[[51402]],[2]=[[1]],},
	[226]={[1]=[[51402]],[2]=[[2]],},
	[227]={[1]=[[70201]],[2]=[[1]],},
	[228]={[1]=[[70202]],[2]=[[1]],},
	[229]={[1]=[[96]],[2]=[[110002]],},
	[230]={[1]=[[96]],[2]=[[150102]],},
	[231]={[1]=[[96]],[2]=[[151102]],},
	[232]={[1]=[[96]],[2]=[[175201]],},
	[233]={[1]=[[96]],[2]=[[302]],},
	[234]={[1]=[[96]],[2]=[[30202]],},
	[235]={[1]=[[96]],[2]=[[31301]],},
	[236]={[1]=[[96]],[2]=[[31302]],},
	[237]={[1]=[[96]],[2]=[[31501]],},
	[238]={[1]=[[96]],[2]=[[31502]],},
	[239]={[1]=[[96]],[2]=[[31601]],},
	[240]={[1]=[[96]],[2]=[[3201]],},
	[241]={[1]=[[96]],[2]=[[3301]],},
	[242]={[1]=[[96]],[2]=[[40101]],},
	[243]={[1]=[[96]],[2]=[[40201]],},
	[244]={[1]=[[96]],[2]=[[40202]],},
	[245]={[1]=[[96]],[2]=[[40302]],},
	[246]={[1]=[[96]],[2]=[[40401]],},
	[247]={[1]=[[96]],[2]=[[40901]],},
	[248]={[1]=[[96]],[2]=[[50302]],},
	[249]={[1]=[[96]],[2]=[[50701]],},
	[250]={[1]=[[96]],[2]=[[50902]],},
	[251]={[1]=[[96]],[2]=[[51301]],},
	[252]={[1]=[[96]],[2]=[[51402]],},
	[253]={[1]=[[97]],[2]=[[1]],},
	[254]={[1]=[[97]],[2]=[[2]],},
	[255]={[1]=[[9876]],[2]=[[1]],},
	[256]={[1]=[[98]],[2]=[[1]],},
	[257]={[1]=[[98]],[2]=[[3001]],},
	[258]={[1]=[[98]],[2]=[[3002]],},
	[259]={[1]=[[98]],[2]=[[3004]],},
	[260]={[1]=[[98]],[2]=[[3005]],},
	[261]={[1]=[[98]],[2]=[[3101]],},
	[262]={[1]=[[98]],[2]=[[3102]],},
	[263]={[1]=[[98]],[2]=[[3103]],},
	[264]={[1]=[[98]],[2]=[[3105]],},
	[265]={[1]=[[98]],[2]=[[3201]],},
	[266]={[1]=[[98]],[2]=[[3202]],},
	[267]={[1]=[[98]],[2]=[[3203]],},
	[268]={[1]=[[98]],[2]=[[3204]],},
	[269]={[1]=[[98]],[2]=[[3205]],},
	[270]={[1]=[[98]],[2]=[[3301]],},
	[271]={[1]=[[98]],[2]=[[3302]],},
	[272]={[1]=[[98]],[2]=[[3303]],},
	[273]={[1]=[[98]],[2]=[[3304]],},
	[274]={[1]=[[98]],[2]=[[3401]],},
	[275]={[1]=[[98]],[2]=[[3402]],},
	[276]={[1]=[[98]],[2]=[[3403]],},
	[277]={[1]=[[98]],[2]=[[3501]],},
	[278]={[1]=[[98]],[2]=[[3502]],},
	[279]={[1]=[[98]],[2]=[[3503]],},
	[280]={[1]=[[98]],[2]=[[3505]],},
	[281]={[1]=[[99]],[2]=[[1002]],},
	[282]={[1]=[[99]],[2]=[[302]],},
	[283]={[1]=[[99]],[2]=[[308]],},
	[284]={[1]=[[99]],[2]=[[404]],},
	[285]={[1]=[[99]],[2]=[[507]],},
}

SHAPE={
	["1002"]=true,
	["1003"]=true,
	["1004"]=true,
	["1005"]=true,
	["1006"]=true,
	["1007"]=true,
	["1009"]=true,
	["1010"]=true,
	["1011"]=true,
	["1012"]=true,
	["1014"]=true,
	["1015"]=true,
	["1016"]=true,
	["1018"]=true,
	["1020"]=true,
	["110"]=true,
	["1100"]=true,
	["1102"]=true,
	["111"]=true,
	["1150"]=true,
	["1151"]=true,
	["1152"]=true,
	["1154"]=true,
	["120"]=true,
	["1200"]=true,
	["1201"]=true,
	["121"]=true,
	["130"]=true,
	["1300"]=true,
	["131"]=true,
	["140"]=true,
	["141"]=true,
	["150"]=true,
	["1501"]=true,
	["1502"]=true,
	["1503"]=true,
	["1504"]=true,
	["1505"]=true,
	["1506"]=true,
	["1508"]=true,
	["1509"]=true,
	["151"]=true,
	["1510"]=true,
	["1511"]=true,
	["1512"]=true,
	["1513"]=true,
	["1514"]=true,
	["1521"]=true,
	["1522"]=true,
	["1523"]=true,
	["160"]=true,
	["1600"]=true,
	["161"]=true,
	["1650"]=true,
	["1700"]=true,
	["1750"]=true,
	["1751"]=true,
	["1752"]=true,
	["1753"]=true,
	["1754"]=true,
	["1755"]=true,
	["3001"]=true,
	["3002"]=true,
	["3007"]=true,
	["3008"]=true,
	["3009"]=true,
	["301"]=true,
	["302"]=true,
	["303"]=true,
	["305"]=true,
	["306"]=true,
	["307"]=true,
	["308"]=true,
	["311"]=true,
	["312"]=true,
	["313"]=true,
	["314"]=true,
	["315"]=true,
	["316"]=true,
	["317"]=true,
	["318"]=true,
	["401"]=true,
	["402"]=true,
	["403"]=true,
	["404"]=true,
	["405"]=true,
	["406"]=true,
	["407"]=true,
	["409"]=true,
	["410"]=true,
	["412"]=true,
	["413"]=true,
	["414"]=true,
	["415"]=true,
	["416"]=true,
	["417"]=true,
	["418"]=true,
	["419"]=true,
	["501"]=true,
	["502"]=true,
	["503"]=true,
	["504"]=true,
	["505"]=true,
	["506"]=true,
	["507"]=true,
	["508"]=true,
	["509"]=true,
	["510"]=true,
	["511"]=true,
	["512"]=true,
	["513"]=true,
	["514"]=true,
	["700"]=true,
	["701"]=true,
	["702"]=true,
	["800"]=true,
	["801"]=true,
	["804"]=true,
	["814"]=true,
	["9999"]=true,
}

WEAPON={
	["2000"]=true,
	["2100"]=true,
	["2200"]=true,
	["2300"]=true,
	["2400"]=true,
	["2500"]=true,
}
